Skip to main content
PUT
Write

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
tier
enum<string>
required
Available options:
org,
workspace
path
string
required
Required string length: 1 - 200
Pattern: ^[a-z0-9][a-z0-9/_\-.]*$
content
string
required
Maximum string length: 500000
contentFormat
enum<string>
default:body
Available options:
body,
document
commitMessage
string
Required string length: 3 - 200

Response

200 - application/json

Success

page
object
required